Foros del Web » Programando para Internet » PHP » Configuración PHP »

Extensiones OCI8

Estas en el tema de Extensiones OCI8 en el foro de Configuración PHP en Foros del Web. Saludos a todos, Bueno tengo el siguiente problema, para un proyecto de voy a comenzar requiero trabajar con oracle. Para las pruebas hice una instalacion ...
  #1 (permalink)  
Antiguo 19/11/2010, 12:16
Avatar de egepe  
Fecha de Ingreso: diciembre-2009
Mensajes: 310
Antigüedad: 10 años, 10 meses
Puntos: 7
Extensiones OCI8

Saludos a todos,

Bueno tengo el siguiente problema, para un proyecto de voy a comenzar requiero trabajar con oracle.

Para las pruebas hice una instalacion completa desde cero

apache 2.2.17 ssl y php5.3

instalo perfectamente apache y php5.3, pero cuando en el php.ini elimino el comentario de cualquiera de las dos extensiones OCI (php_oci8.dll o php_oci8_11g.dll. Le hago un restart a apache y me da el siguiente error

[Fri Nov 19 11:53:27 2010] [warn] pid file C:/Apache2.2/logs/httpd.pid overwritten -- Unclean shutdown of previous Apache run?

si le coloco en comentarios las extensiones OCI todo funciona bien.

He verificado y en php/ext estan las dos dll.

Bueno todo esto corre en Vista (lo siento!!!!)

Luego debo instalar oracle express XE para hacer las pruebas de conectividad iniciales

Bueno espero sus recomendaciones saludos
  #2 (permalink)  
Antiguo 19/11/2010, 14:36
Avatar de GatorV
$this->role('moderador');
 
Fecha de Ingreso: mayo-2006
Ubicación: /home/ams/
Mensajes: 38.567
Antigüedad: 14 años, 4 meses
Puntos: 2135
Respuesta: Extensiones OCI8

Lo que pasa es que es forzoso que instales las librerías de Oracle y tengas bien configurado en el PATH de tu Sistema Operativo la carpeta de Oracle, sin ellas no vas a poder cargar las extensiones de Oracle.

Saludos.
  #3 (permalink)  
Antiguo 19/11/2010, 15:32
Avatar de egepe  
Fecha de Ingreso: diciembre-2009
Mensajes: 310
Antigüedad: 10 años, 10 meses
Puntos: 7
Respuesta: Extensiones OCI8

Cita:
Iniciado por GatorV Ver Mensaje
Lo que pasa es que es forzoso que instales las librerías de Oracle y tengas bien configurado en el PATH de tu Sistema Operativo la carpeta de Oracle, sin ellas no vas a poder cargar las extensiones de Oracle.

Saludos.
Ok tengo que instalar todo lo relacionado con instan client y ajustas mis PATH antes de poner operativo las extensiones OCI8 de php?
  #4 (permalink)  
Antiguo 24/11/2010, 07:25
Avatar de egepe  
Fecha de Ingreso: diciembre-2009
Mensajes: 310
Antigüedad: 10 años, 10 meses
Puntos: 7
Respuesta: Extensiones OCI8

Estimados ya solucione el problema de la conexion con oracle

Fijense bien

Una vez que uno instala apache+php+mysql+phpmyadmin paso a configurar oracle, para ello es importante que al momento de instalar php bajen en el instalador si lo hacen por ahí las dll correspondientes con OCI8.

En mi caso yo instale Oracle express 10g. que se instala sin problema y adicionalmente hay que bajar el instant client correspondiente a la version de BD. A este lo van a descomprimir en una carpeta (yo la llame en mi caso instant_client_11_2 y la coloque directamente en c:.

Ahora por panel de contro van a sistema opciones avanzadas y editan el PATH colocando an final la ubicacion de instant client ( que como les comente en mi caso fue c:\instant_client_11_2) y reinician apache y listo ojo hay que hacer unas modificacines en el php.ini para la configuracion basica de la extension OCI yo les quite los comentarios a:

oci8.privileged_connect = Off
oci8.max_persistent = -1
oci8.persistent_timeout = -1
oci8.ping_interval = 60
oci8.events = Off
oci8.statement_cache_size = 20
oci8.default_prefetch = 100
oci8.old_oci_close_semantics = Off

Ahora como no todo puede ser perfecto trata de acceder a mysql por phpmyadmin me muestra la pantalla de inicio, y coloco el usuario y la clave y luego se queda esperando y no hace nada y me muestra la siguiente url: http://localhost/phpmyadmin/index.php?token=812edcc5be53e5f713977a0680771afb, pero como les repito no hace nada.

Bueno si alguien tiene idea de esto ultimo por favor lo agradecería a mi me parece algo de los puertos de conexion, pero no sé. Saludos
  #5 (permalink)  
Antiguo 24/11/2010, 09:09
Avatar de GatorV
$this->role('moderador');
 
Fecha de Ingreso: mayo-2006
Ubicación: /home/ams/
Mensajes: 38.567
Antigüedad: 14 años, 4 meses
Puntos: 2135
Respuesta: Extensiones OCI8

Revisa el Log de errores de Apache es probable que tengas desactivado el mostrar errores y por eso no vas a poder ver si te esta marcando algún error.

Saludos.
  #6 (permalink)  
Antiguo 09/12/2010, 10:39
Avatar de egepe  
Fecha de Ingreso: diciembre-2009
Mensajes: 310
Antigüedad: 10 años, 10 meses
Puntos: 7
Respuesta: Extensiones OCI8

Cita:
Iniciado por GatorV Ver Mensaje
Revisa el Log de errores de Apache es probable que tengas desactivado el mostrar errores y por eso no vas a poder ver si te esta marcando algún error.

Saludos.
Le subi el nivel de error de apache a crit y no me dio nada. Y es algo curioso porque su ejecuto los productos de mysql como workbench ce o Query Browser si puedo ver y trabajar con la base de datos... Es solo para acceder a phpmyadmin y mis aplicaciones, pero honestamente no he tenido tiempo ya que ya todo trabaja bien en oracle

Si me echas una mano, pienso que tal vez las dos DB entran en conflicto teniendo todo en la misma maquina ya que como dije antes trabajo esto sobre Vista

Saludos
  #7 (permalink)  
Antiguo 09/12/2010, 13:38
Avatar de GatorV
$this->role('moderador');
 
Fecha de Ingreso: mayo-2006
Ubicación: /home/ams/
Mensajes: 38.567
Antigüedad: 14 años, 4 meses
Puntos: 2135
Respuesta: Extensiones OCI8

No deberían entrar en conflicto, ya que las dos trabajan en puertos diferentes, yo tengo instaladas las dos sobre la misma maquina en Windows XP y sin problemas.

Respecto a tu problema con phpMyAdmin, trata de actualizarlo a alguna versión más reciente o ejecuta un phpinfo() y revisa si esta activada la extensión de MySQL.

Saludos.
  #8 (permalink)  
Antiguo 21/01/2011, 08:17
Avatar de egepe  
Fecha de Ingreso: diciembre-2009
Mensajes: 310
Antigüedad: 10 años, 10 meses
Puntos: 7
Respuesta: Extensiones OCI8

SALUDOS A TODOS.

El problema de no poder levantar mysql luego de instalar todo estos de debio a que en el archivo hosts (recuerden que tengo Win Vista ) en windows\system32\drivers\etc luego de la linea que dice
127.0.0.1 localhost
, tengo otra línea que dice
::1

Que no tengo la menor idea de como aparecio allí. Lo cierto es que la coloque en comentario con # y luego de ello, me conecto perfectamente a mysql e incluso oracle funciona de las mil maravilla.

No sé si sólo fue una mala coincidencia pero coloco esta explicación, por si a otro le ocurre trate por esta vía. Saludos

Ah..! se me olvidaba en los mensajes de error de php me decía:

PHP Warning: mysql_connect(): [2002] Se produjo un error durante el intento de conexión ya que la par (trying to connect via tcp://localhost:3306)

Que se soluciona de esta forma
  #9 (permalink)  
Antiguo 21/01/2011, 08:36
Avatar de egepe  
Fecha de Ingreso: diciembre-2009
Mensajes: 310
Antigüedad: 10 años, 10 meses
Puntos: 7
Respuesta: Extensiones OCI8

Cita:
Iniciado por egepe Ver Mensaje
Una vez que uno instala apache+php+mysql+phpmyadmin paso a configurar oracle, para ello es importante que al momento de instalar php bajen en el instalador si lo hacen por ahí las dll correspondientes con OCI8.
Lo que quise decir que es recomendable que al momento de instalar php incluyan de una vez la instalacion de la extensiones correpondientes de oracle OCI8. A mi me ocurrió que yo tenía ya instalado php sin la extension OCI8, entre en la pagina de php me baje esa extension en formato zip la descomprimi y la moví a directorio php/ext que es donde tengo todas las extensiones y me dio un error de problemas con la version. Busque como solucionarlo y me fastidie tanto que volví a reinstalar todo php desde cero tomando en cuenta las extensiones OCI8, bueno en mi caso lo pude hacer porque lo tengo todo en mi laptop. Probablemente en una instalacion en produccion deben comunicarse con el administrador para que baje la version correcta y resuelta él eso.

Saludos

Etiquetas: extension
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 05:08.